x-logging: &default-logging
  driver: json-file
  options:
    max-size: "10m"
    max-file: "5"

services:
  nginx:
    image: nginx:latest
    restart: unless-stopped
    ports:
      - "80:80"
      - "443:443"
    volumes:
      - C:\DevOpsProject\kubernetes\manifests\nginx\nginx.conf:/etc/nginx/nginx.conf:ro
      - C:\DevOpsProject\kubernetes\manifests\nginx\certs:/etc/nginx/certs:ro
    
    networks:
      - devops-network
    command: nginx -g "daemon off;"
    logging: *default-logging

networks:
  devops-network:
    external: true   